ProyectoCrm/src/app/Modulos/CuponModulo/Paginas/fw-cupon/Componentes/fw-cupon-detalle-cabecera/fw-cupon-detalle-cabecera.component.html

<div class="form-row">
  <div class="Contenedor--Qr">
    <qrcode [qrdata]="tQrString" width="128" errorCorrectionLevel="M" elementType="canvas"></qrcode>
  </div>
  <div class="Contenedor--Datos">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-qrcode"></i></span></div>
      <input class="ControlInput--Input" type="text" [readonly]="true" placeholder="Cupòn" [(ngModel)]="tCupon.Codcupon" size="sm" id="txtCodcupon"/>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <label class="form-label h6" for="txtDescripcion">Descripción</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-align-justify"></i></span></div>
      <input class="ControlInput--Input" type="text" placeholder="Descripción" [(ngModel)]="tCupon.Descripcion" name="Descripcion" required="" size="sm" id="txtDescripcion"/>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/CuponModulo/Paginas/fw-cupon/Componentes/fw-cupon-detalle-cabecera/fw-cupon-detalle-cabecera.component.pug
div.form-row
  div.Contenedor--Qr
    qrcode([qrdata]="tQrString" width="128"  errorCorrectionLevel="M" elementType="canvas")
  div.Contenedor--Datos
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-qrcode
      input(type="text",
      [readonly]="true",
      placeholder="Cupòn",
      [(ngModel)]="tCupon.Codcupon",
      size="sm")#txtCodcupon.ControlInput--Input
div.form-row
  div.form-group.col-12
    label(for="txtDescripcion").form-label.h6 Descripción
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-align-justify
      input(type="text",
      placeholder="Descripción",
      [(ngModel)]="tCupon.Descripcion",
      name="Descripcion",
      required="",
      size="sm")#txtDescripcion.ControlInput--Input
